package io.renren.modules.business.dao;

import io.renren.modules.business.entity.BusinessDictEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 数据字典表
 * 
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-15 11:57:22
 */
@Mapper
public interface BusinessDictDao extends BaseMapper<BusinessDictEntity> {

    List<BusinessDictEntity> getOneList();

    List<BusinessDictEntity> queryWzAndZw();

    //获取所有prantId非0非-1的字典列表
    List<BusinessDictEntity> queryAll();

    Integer findCnByName(Map<String, Object> params);
}
